CobolConnectionSpec (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.cci.CobolConnectionSpec class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.cci
Class CobolConnectionSpec

    java.lang.Object
      com.microfocus.cobol.connector.cci.CobolConnectionSpec

All Implemented Interfaces:
  ConnectionSpec, Serializable

public class CobolConnectionSpec
extends Object
implements ConnectionSpec, Serializable

This implementation class is used by an application component to pass connection-specific info/properties to the getConnection method in CobolConnectionFactory class

See Also:
  Serialized Form

Field Summary
`static int` | `UNINITIALIZED`
`static int` | `USE_USERPWD`

Constructor Summary
`CobolConnectionSpec()` Create a CobolConnectionSpec instance.
`CobolConnectionSpec(boolean statefulSession)`
`CobolConnectionSpec(String user, String password, String realm)` Create a CobolConnectionSpec instance

Method Summary
`int` | `getAuthenticationMechanism()` Get Authentication mechanism.
`String` | `getPassword()` Get password
`String` | `getRealm()` Get realm.
`boolean` | `getStatefulSession()` Get the stateful session
`String` | `getUser()` Get username
`void` | `setAuthenticationMechanism(int authenticationMechanism)` Set Authentication Mechanism.
`void` | `setPassword(String password)` Set password
`void` | `setRealm(String realm)` Set Realm
`void` | `setStatefulSession(boolean aSession)` Set stateful session
`void` | `setUser(String user)` Set user name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_USERPWD

    public static final int USE_USERPWD

See Also:
  Constant Field Values

### UNINITIALIZED

    public static final int UNINITIALIZED

See Also:
  Constant Field Values

Constructor Detail

### CobolConnectionSpec

    public CobolConnectionSpec(String user,
                               String password,
                               String realm)

  Create a CobolConnectionSpec instance

Parameters:
  `user` - - username
  `password` - - password
  `realm` - - realm

### CobolConnectionSpec

    public CobolConnectionSpec()

  Create a CobolConnectionSpec instance.

### CobolConnectionSpec

    public CobolConnectionSpec(boolean statefulSession)

Method Detail

### getUser

    public String getUser()

  Get username

  Returns:
    - The username.

### getStatefulSession

    public boolean getStatefulSession()

  Get the stateful session

### getPassword

    public String getPassword()

  Get password

  Returns:
    The password

### getRealm

    public String getRealm()

  Get realm.

  Returns:
    The realm.

### getAuthenticationMechanism

    public int getAuthenticationMechanism()

  Get Authentication mechanism. Can be one of USE_USERPWD UNINITIALIZED

  Returns:
    The Authentication Mechanism.

### setPassword

    public void setPassword(String password)

  Set password

  Parameters:
    `password` - The password being set.

### setStatefulSession

    public void setStatefulSession(boolean aSession)

  Set stateful session

### setUser

    public void setUser(String user)

  Set user name

  Parameters:
    `user` - The user name to be set.

### setRealm

    public void setRealm(String realm)

  Set Realm

  Parameters:
    `realm` - The realm to be set.

### setAuthenticationMechanism

    public void setAuthenticationMechanism(int authenticationMechanism)

  Set Authentication Mechanism.

  Parameters:
    `authenticationMechanism` - The authentication mechanism to be set. Will be one of USE_USERPWD UNINITIALIZED

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.